Metroid: Other M wants to update

Discussion in 'Wii - Hacking' started by SpaceJump, Sep 3, 2010.

  1. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    I just bought the PAL version of M:OM. I inserted it into the Wii and it wants to do a system update. I gues it has the 4.3 update on the disc so I obviously don't want to update. My Wii is 4.2E and IOS 58 is installed.

    What do I have to do to be able to play it from the disc channel?
     
  2. Sir-Fritz

    Sir-Fritz GBAtemp Maniac

    Member
    1,336
    8
    May 4, 2008
    Brisbane, Australia
    Preloader with the relevant hacks.
     
  3. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    I don't want to install Preloader. Is there a safe way to update the Wii without loosing the soft mod stuff?
     
  4. Riley

    Riley GBAtemp Maniac

    Member
    1,123
    3
    Mar 9, 2009
    Canada
    BC Canada
    Why not install priiloader ? It is safe. Gives you extra system menu hacks. Why not ?
     
  5. ollepoll

    ollepoll GBAtemp Regular

    Member
    162
    1
    Apr 21, 2010
    Gambia, The
    germany
    use startpatch for your fw noumber
     
  6. DKAngel

    DKAngel GBAtemp Advanced Fan

    Member
    662
    0
    Jan 5, 2009
    Perth,Australia
    install priiloader
     
  7. tj_cool

    tj_cool Site dev

    Supervisor
    9,989
    -1
    Jan 7, 2009
    Belgium
    This planet
    Run the game through Gecko OS, and let it install the IOS.
    From then on it shouldn't ask for updates anymore.
     
  8. Pakatus

    Pakatus GBAtemp Advanced Fan

    Member
    777
    0
    Apr 13, 2009
    Portugal
    well...disabling DVD updates (might be IOS refresh and/or System Menu updates, are only avail in 2 ways):

    1 - Startpatch
    2 - Priiloader

    If you're (as me) one of the persons with bootmii as boot2 installed, no need to go for priiloader, stick to startpatch.

    (or what tj_cool said..but i still prefer startpacth/priiloader, cause in some day, you might forget this...and oooops) [​IMG]
     
  9. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    Is this method safe so that I don't loose HB Channel and HDD Loaders?
     
  10. soulx

    soulx GBAtemp Legend

    Member
    10,130
    4,708
    Apr 4, 2009
    Canada
    The method is safe.
     
  11. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,099
    1,247
    Aug 5, 2007
    Can we please make a sticky of "Game X want to update - how to fix"? Really... every big game release someone always ask the same question that has been answered for alot of games already.
     
  12. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
    +1

    a simple google search would have given the answer
     
  13. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    I started it from Gecko 1.9.3.1 and it worked fine. But on the Disc Channel it still wants to do an update. And I didn't see Gecko install anything. Do I have to force this?
     
  14. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
    You're only option really is priiloader or startpatch for to block disc updates from the disc channel
     
  15. Pakatus

    Pakatus GBAtemp Advanced Fan

    Member
    777
    0
    Apr 13, 2009
    Portugal
    With Gecko it refreshed IOS version...however it might have SM4.3 ready to install.
    As everyone told you this far : Priiloader or startpatch.
     
  16. mike333

    mike333 GBAtemp Advanced Fan

    Member
    708
    61
    Aug 30, 2010
    Poland
    Why?

    Updated HBC will survive.
     
  17. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    What about the cIOS?
     
  18. Slimmmmmm

    Slimmmmmm GBAtemp MoNkEeE

    Member
    1,687
    28
    Nov 1, 2007
    the land of lol
    You can reinstall cIOS etc.

    If you have bootmii on boot 2 you can undo things remember by backing up your nand and then if anything is "not right" reinstall whatever.

    I think a lot of people don't want 4.3 because IF sometihng happens to the HBC then you NEED a retail game that some people might not have.

    So, if you've got bootmii on boot 2, don't worry too much.

    Update the HBC, update bootmii, make a backup.
    Update to 4.3
    Check everything out you use, upgrade or reinstall things if needed.
    If EVERYTHING is to your liking then make another nand backup.

    btw good to see you more active again SpaceJump [​IMG]
     
  19. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    Thanks [​IMG]

    I think I'll just let it update. I read that it doesn't even have System 4.3 on the disc but some optional channels (Nintendo channel...) it wants to install. So after updating my Wii should still be on 4.2. And if not, there's still bootmii like you said [​IMG]
     
  20. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,672
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    Ok, I let it update and it did a full update through the Nintendo server. That means that my IOS249 got stubbed and my system menu is now 4.3E. So I reinstalled it using IOS248 (rev20b base 37) and all seems to be working again.

    Is there anything else I have to do / recover after the Nintendo update?